Gmagick::swirlimage
Gmagick::trimimage
Gmagick
PHP Manual

# Gmagick::thumbnailimage

Changes the size of an image

### Description

public Gmagick Gmagick::thumbnailimage ( int `$width` , int `$height` [, bool `$fit` = false ] )

Changes the size of an image to the given dimensions and removes any associated profiles. The goal is to produce small low cost thumbnail images suited for display on the Web. If TRUE is given as a third parameter then columns and rows parameters are used as maximums for each side. Both sides will be scaled down until the match or are smaller than the parameter given for the side.

### Parameters

`width`

  Image width

`height`

  Image height

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.